%define clearlooks_version 0.6.2

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-themes
Version:	2.20.2
Release:	1
License:	GNU/LGPL 
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source: 	%{name}-%{version}.tar.bz2
Source1: 	clearlooks-%{clearlooks_version}.tar.bz2
Patch2: 	gnome-themes-2.17.92-clearlooks.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Themes collection for GNOME.
Requires: 	gtk-engines >= 2.10.0 ccux-artwork >= 1.0.0
Prereq: 	gtk2+
BuildRequires: 	autoconf
BuildRequires: 	automake
BuildRequires: 	intltool
BuildRequires: 	pkg-config
BuildRequires: 	gtk2+-devel
BuildRequires: 	libtool
BuildRequires: 	gettext
BuildRequires: 	gtk-engines
BuildRequires: 	icon-naming-utils

%description
Default themes for GNOME enviroment.

%post 
for dir in /usr/share/icons/*; do 
  if test -d "$dir"; then 
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet "$dir"
    fi
  fi
done

%prep
%setup -q
tar xjf %{SOURCE1}
#pushd clearlooks-%{clearlooks_version}
#popd

mv clearlooks-%{clearlooks_version}/themes/Clearlooks/icons icon-themes/Clearlooks

%patch2 -p1 -b .clearlooks

%build
autoconf
aclocal
automake
%configure --enable-all-themes
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool

/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/README.html
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/ICON.png

# Clearlooks gtk theme is in gtk2-engines
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Clearlooks/gtk-2.0

# we want to own the icon caches
for dir in $RPM_BUILD_ROOT%{_datadir}/icons/*; do
  touch $dir/icon-theme.cache
done


%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/icons/*
%{_datadir}/themes/*
%doc AUTHORS ChangeLog COPYING NEWS README
%ghost %{_datadir}/icons/*/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- added Dropline Icon theme as default
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.3-2
- readded clearlooks
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.3-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-4
- readded clearlooks
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-3
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-2
- temp. disabled clearlook
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.90-1
- Update to Version 2.13.90
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.2-1
- Initial Release
